#include <stdio.h>
#include "BMP_include.h"

void BMP_ShowError (int status);
int BMP_ReadHeader (FILE *FilePNT, unsigned char BMPheader []);
int BMP_GetSize (unsigned char BMPheader [], int *Righe, int *Colonne);

int main(int argc, char *argv []) {

   FILE *FileIn;
   unsigned char BMPheader   [54];
   int Righe, Colonne, status;
   long int i, InNbytes;

   FileIn = fopen (argv [1], "rb");
   if (FileIn == NULL) BMP_ShowError (status);

   status = BMP_ReadHeader (FileIn, BMPheader);
   if (status != 0) BMP_ShowError (status);

   BMP_GetSize (BMPheader, &Righe, &Colonne);
   printf ("Righe: %d, Colonne: %d\n", Righe, Colonne);

   fclose (FileIn);

}
